> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update global settings.



## OpenAPI

````yaml /api-specs/cloud/public-api.json post /model-monitor/v2/api/setting/global
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.4.0
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /model-monitor/v2/api/setting/global:
    post:
      tags:
        - Model Monitoring settings
      summary: Update global settings.
      operationId: updateGlobalSettings
      requestBody:
        required: true
        description: ''
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/dmm-plier_globalSettings'
      responses:
        '200':
          description: Global Settings updated successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dmm-plier_globalSettingsResponse'
        '400':
          description: Bad request input data.
        '403':
          description: Unauthorised. The endpoint enforces authorisation.
        '405':
          description: Method not allowed.
        '500':
          description: Internal server error, check server logs.
      security:
        - dmm-plier_DominoApiKeyAuth: []
        - dmm-plier_DmmApiKeyAuth: []
        - dmm-plier_cookieAuth: []
        - dmm-plier_BearerAuth: []
components:
  schemas:
    dmm-plier_globalSettings:
      title: Global Settings.
      description: DMM Global Settings.
      type: object
      properties:
        disableDmmApiKeys:
          description: Disables all DMM API keys
          type: boolean
    dmm-plier_globalSettingsResponse:
      title: Global Settings Response.
      description: DMM Global Settings.
      allOf:
        - $ref: '#/components/schemas/dmm-plier_globalSettings'
        - type: object
          required:
            - id
            - createdAt
            - updatedAt
          properties:
            id:
              description: Global Settings Identifier.
              type: string
            createdAt:
              description: Creation timestamp of the Global Settings.
              type: integer
            updatedAt:
              description: Last updated timestamp for the Global Settings.
              type: integer
  securitySchemes:
    dmm-plier_DominoApiKeyAuth:
      type: apiKey
      in: header
      name: X-Domino-Api-Key
    dmm-plier_DmmApiKeyAuth:
      type: apiKey
      in: header
      name: X-DMM-API-KEY
    dmm-plier_cookieAuth:
      type: apiKey
      in: cookie
      name: PLAY_SESSION
    dmm-plier_BearerAuth:
      type: http
      scheme: bearer

````

## Related topics

- [Deployment configuration](/cloud/admin/architecture-and-deployment/deployment-configuration/index.md)
- [Set up notifications](/cloud/platform-capabilities/features/monitoring/4-set-up-model-monitor/7-set-up-notifications-mm.md)
- [The python-domino library](/cloud/reference/python-sdk/python-domino.md)
- [Get global settings.](/api-reference/model-monitoring-settings/get-global-settings.md)
